﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT MSO6xxx Logic Threshold Decoder
DATE:                  2011-02-03 11:20:44
AUTHOR:                Fluke
REVISION:              $Revision: 17961 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       84
=============================================================================
#
#  Procedure Author(s):
#        GCM, CAD
#
#  Model(s) Covered:
#        Agilent MSO6000A Series:
#         MSO6012A, MSO6032A, MSO6052A, MSO6102A,
#         MSO6014A, MSO6034A, MSO6054A, MSO6104A,
#
#  Compatibility:
#        MET/CAL or 5500/CAL, 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
# The copyright in this procedure is owned by Fluke Corporation.
#
# The UUT :ACTivity? query responds with a string containing 2 comma delimited
# binary words:
#   The first word reports edge activity since the last query.
#   The second word reports the digital levels of the pod channels.
#
# Each bit in the level word must be checked individually and then AND or
# OR'd together to obtain the measurement status.  This ensures that each
# channel is isolated from the others.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Clear cumulative edge variables then query the UUT for activity.
  1.001  IEEE         [S 9][D100]ACT;:ACT?[I$]

# Parse UUT response for the logic level word.
  1.002  MATH         Level = FLD(MEM2, 2, ",")

# Check level bit state for each digital channel.
  1.003  IF           @Pod == 1

  1.004  MATH         L[1] = BIT(0, Level); L[2] = BIT(1, Level)
  1.005  MATH         L[3] = BIT(2, Level); L[4] = BIT(3, Level)
  1.006  MATH         L[5] = BIT(4, Level); L[6] = BIT(5, Level)
  1.007  MATH         L[7] = BIT(6, Level); L[8] = BIT(7, Level)

  1.008  ELSEIF       @Pod == 2

  1.009  MATH         L[1] = BIT( 8, Level); L[2] = BIT( 9, Level)
  1.010  MATH         L[3] = BIT(10, Level); L[4] = BIT(11, Level)
  1.011  MATH         L[5] = BIT(12, Level); L[6] = BIT(13, Level)
  1.012  MATH         L[7] = BIT(14, Level); L[8] = BIT(15, Level)

  1.013  ELSE         ; Unsupported pod.

  1.014  DISP         {Pod "[V @Pod]" is not supported by this subprocedure.}
  1.015  END

  1.016  ENDIF

  1.017  IF           ZCMPI(@Direction, "Negative")
  1.018  MATH         @Level = L[1]||L[2]||L[3]||L[4]||L[5]||L[6]||L[7]||L[8]
  1.019  ELSEIF       ZCMPI(@Direction, "Positive")
  1.020  MATH         @Level = L[1]&&L[2]&&L[3]&&L[4]&&L[5]&&L[6]&&L[7]&&L[8]
  1.021  ENDIF

  1.022  END

