﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT MSO/DSO6xx4 (1 yr) Ext Trig 4Ch IEEE /9500
DATE:                  2011-02-08 08:12:33
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       118
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, ZY, DAC, CAD
#
#  Model(s) Covered:
#        Agilent MSO/DSO 6000A Series:
#         DSO6014A, DSO6034A, DSO6054A, DSO6104A,
#         MSO6014A, MSO6034A, MSO6054A, MSO6104A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Agilent 11667A Power Splitter (for external trigger tests)
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Select external trigger procedure based on whether UUT is 2 or 4 channel.
#  2 channel scopes have a front panel EXT TRIG IN.
#  4 channel scopes have a rear panel AUX TRIG IN.
#  The two variations have different specifications and test methodologies.
#
#   Two different schemes are used to verify UUT external trigger, depending
#  on whether the 9500 used has a single or multiple active heads. In the
#  case of a single active head system, a power splitter is required to
#  provide a simultaneous trigger signal.
#
#  9500, multiple active heads:
#  In the subsequent external trigger tests, the 9500 dual leveled sine mode
#  is used to supply an identical signal level simultaneously to the vertical
#  and external trigger inputs.
#
#  9500, single active head:
#  In the subsequent external trigger tests, a power splitter is used to
#  supply an identical signal level simultaneously to the vertical and
#  external trigger inputs. Because the power splitter output is 6 dB lower
#  (½ the voltage input) than the input, the 58xxA output is initially set to
#  twice the desired level at the vertical and AUX TRIG IN inputs. The output
#  is then adjusted until the desired value is measured at the UUT vertical
#  input.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub AT MSO/DSO6xxx Select Channel

# Due to qualitative nature of the test, repeated measurements unnecessary.
  1.002  TSET         NTHROW = 0; NMEAS = 1

  1.003  RSLT         =
  1.004  HEAD         {TRIGGER SENSITIVITY (External)}
  1.005  RSLT         =

  1.006  IF           @Bandwidth == 100E+6
  1.007  MATH         FreqMHz = 100; TimeScale = "10ns"
  1.008  ELSE
  1.009  MATH         FreqMHz = 200; TimeScale = "2ns"
  1.010  ENDIF

  1.011  HEAD         -2 500 mV @ [V FreqMHz] MHz
  1.012  TARGET
  1.013  SCPI         CHAN[V @Chan]:SCAL 100mV
  1.014  SCPI         MEAS:SOURCE CHAN[V @Chan]
  1.015  SCPI         TIM:SCAL [V TimeScale]
  1.016  SCPI         TRIG:MODE EDGE;SWE AUTO;EDGE:SOUR EXT

  1.017  IF           @Bandwidth > 100E+6
  1.018  SCPI         CHAN[V @Chan]:IMP FIFT
  1.019  ENDIF

  1.020  TARGET       -m
  1.021  MATH         MEM = 500; MEM1 = MEM

  1.022  DO
  1.023  MATH         MEM = MEM1 + (500 - MEM) / 2

  1.024  IF           @Bandwidth == 100E+6
  1.025  9500         mVpp                         500MH          LS    S
  1.026  ELSE
  1.027  9500         mVpp                         500MH          LS    S  L
  1.028  ENDIF

  1.029  SCPI         MEAS:VAMP?[I]
  1.030  MATH         MEM = MEM / 1E-3
  1.031  UNTIL        (MEM >= 495) && (MEM < 500)

  1.032  SCPI         TRIG:SWE NORM
  1.033  CALL         Sub AT MSO/DSO6xxx Wait for Triggered
  1.034  SCPI         TRIG:SWE AUTO
  1.035  EVAL   -e  @Trig :[32]500 mV @ [V FreqMHz] MHz

  2.001  9500         *                                                 S
  2.002  SCPI         *RST
  2.003  HEAD         -2
  2.004  HEAD
  2.005  END
